Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.resource
Class NotSupportedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.resource.ResourceException
                  javax.resource.NotSupportedException

All Implemented Interfaces:
  Serializable

public class NotSupportedException
extends ResourceException

A NotSupportedException is thrown to indicate that the callee (resource adapter or application server for system contracts) cannot execute an operation because the operation is not a supported feature. For example, if the transaction support level for a resource adapter is NO_TRANSACTION, an invocation of ManagedConnection.getXAResource method should throw NotSupportedException exception.

See Also:
  Serialized Form

Constructor Summary
`NotSupportedException()` Create a not supported exception.
`NotSupportedException(String reason)` Create a not supported exception with a reason.
`NotSupportedException(String reason, String errorCode)` Create a not supported exception with a reason and an errorCode.
`NotSupportedException(String reason, Throwable throwable)` Create a not supported exception with a reason and an error.
`NotSupportedException(Throwable throwable)` Create a not supported exception with an error.

Methods inherited from class javax.resource.ResourceException
`getErrorCode, getLinkedException, setErrorCode, setLinkedException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotSupportedException

    public NotSupportedException()

  Create a not supported exception.

### NotSupportedException

    public NotSupportedException(String reason)

  Create a not supported exception with a reason.

Parameters:
  `reason` - the reason

### NotSupportedException

    public NotSupportedException(String reason,
                                 String errorCode)

  Create a not supported exception with a reason and an errorCode.

Parameters:
  `reason` - the reason
  `errorCode` - the error code

### NotSupportedException

    public NotSupportedException(String reason,
                                 Throwable throwable)

  Create a not supported exception with a reason and an error.

Parameters:
  `reason` - the reason
  `throwable` - the error

### NotSupportedException

    public NotSupportedException(Throwable throwable)

  Create a not supported exception with an error.

Parameters:
  `throwable` - the error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.